package types

import (
	"database/sql"
	"net/http"
	"time"

	"git.simponic.xyz/simponic/phoneof/args"
	"git.simponic.xyz/simponic/phoneof/database"
)

type RequestContext struct {
	DBConn *sql.DB
	Args   *args.Arguments

	Id    string
	Start time.Time
	User  *database.Fren

	TemplateData *map[string]interface{}
}

type BannerMessages struct {
	Messages []string
}

type Continuation func(*RequestContext, *http.Request, http.ResponseWriter) ContinuationChain
type ContinuationChain func(Continuation, Continuation) ContinuationChain
